/* ========================
   MAIN ABOUT SECTION
======================== */
.main-about {
    padding: 40px 0;
    color: var(--white);
    position: relative;
    overflow: hidden;
    background-color: var(--grey-4);
}

/* ========================
   LAYOUT WRAPPER
======================== */
.main-about__layout {}

/* ========================
   TOP ROW
======================== */
.main-about__top {
    display: flex;
    flex-direction: column;
    gap: 0;
    margin-bottom: 24px;
}

.main-about__title {
    color: var(--white);
    margin: 8px 0 13px;
    padding: 0;
}

.main-about__title.text-grid span:before,
.main-about__title.text-grid span:after{
    border-color: var(--white);
    background-color: var(--white);
}

.main-about__title.text-grid > span > span > span:after,
.main-about__title.text-grid > span > span > span:before,
.main-about__title.text-grid > span > span > span > span:before,
.main-about__title.text-grid > span > span > span > span:after{
    background-color: var(--grey-4);
}

/* ========================
   DESCRIPTION
======================== */
.main-about__desc {
    margin-bottom: 12px;
    max-width: 540px;
    color: var(--white);
}
/* ========================
   STATS
======================== */
.main-about__stats {
    display: grid;
    grid-template-columns: 100%;
    gap: 12px;
}

.main-about__stat {
    padding: 0;
}

.main-about__stat-number {
    font-weight: 700;
    font-size: 54px;
    line-height: 120%;
    color: var(--primary);
    transition: color var(--transition);
    margin: 0 0 12px;
}

.main-about__stat-number:hover {
    color: var(--primary-hover);
}

.main-about__stat-title {
    font-size: 20px;
    line-height: 150%;
    font-weight: 700;
    text-transform: uppercase;
    color: #fff;
    margin: 0 0 8px;
}

.main-about__stat-desc {
    font-size: 14px;
    line-height: 1.5;
    color: var(--white);
}

.main-about__stat-desc strong {
    color: #fff;
    font-weight: 700;
    font-size: 16px;
}

/* ========================
   MAP COLUMN
======================== */
.main-about__map-col {}

.main-about__map-wrap {
    width: 100%;
    position: relative;
}

.main-about__map-wrap img {
    width: 100%;
    height: auto;
    display: block;
}

@media (min-width: 420px) {
    .main-about__stats{
        grid-template-columns: repeat(2, calc(50% - 12px));
        gap: 24px;
    }
}

/* ========================
   TABLET: 768px+
======================== */
@media (min-width: 768px) {
    .main-about {
        padding: 56px 0;
    }

    .main-about__top {
        flex-direction: row;
        align-items: flex-end;
        justify-content: space-between;
        margin-bottom: 64px;
    }

    .main-about__top .button.button-primary{
        margin-bottom: 20px;
    }

    .main-about__content-col{
        max-width: 595px;
    }

    .main-about__desc {
        margin-bottom: 40px;
    }

    .main-about__stats {
        column-gap: 76px;
        grid-template-columns: repeat(2, calc(50% - 38px));
    }

    .main-about__stat-number {
        font-size: 64px;
    }

    .main-about__stat-title {
        font-size: 16px;
    }

    .main-about__stat-desc {
        font-size: 13px;
    }
}

/* ========================
   DESKTOP: 1024px+
======================== */
@media (min-width: 1024px) {
    .main-about {
        padding: 64px 0;
        overflow: visible;
    }

    .main-about__layout {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 44px;
    }

    .main-about__top {
        grid-column: 1 / 3;
        grid-row: 1;
        flex-direction: row;
        align-items: flex-end;
        justify-content: space-between;
        margin-bottom: 32px;
    }

    .main-about__content-col {
        grid-column: 1;
        grid-row: 2;
    }

    .main-about__map-col {
        grid-column: 2;
        grid-row: 2;
        position: relative;
    }

    .main-about__desc {
        max-width: 480px;
    }

    .main-about__map-wrap {
        margin-top: 0;
        position: relative;
        width: calc(100% + 100px);
    }
}

@media (min-width: 1280px) {
    .main-about__map-wrap {
        width: calc(100% + 160px);
    }
}
